<?php
// 共通定義
$common_items = array(
	"items" => array(
		"dummy1" => array(
			"title" => "表示関連",
			"type" => "comment",
			"class" => "openclose",
		),
		"site_title" => array(	
			"title" => "サイトタイトル",
			"type" => "text",
		),
		"site_logo" => array(	
			"title" => "ロゴファイル（ホーム）",
			"type" => "image",
		),
		"site_logo2" => array(	
			"title" => "ロゴファイル（ホーム以外）",
			"type" => "image",
		),
		"site_desc" => array(	
			"title" => "サイト説明",
			"type" => "text",
		),
		"site_keyword" => array(	
			"title" => "サイトキーワード",
			"type" => "text",
		),
		"site_image" => array(	
			"title" => "サイト画像",
			"type" => "image",
			"info" => "SNSなどで参照された際に表示されます",
		),
		"message" => array(
			"title" => "ヘッダメッセージ",
			"type" => "text",
		),
		"dummy2-1" => array(
			"title" => "メニュー１",
			"type" => "comment",
			"class" => "openclose",
		),
		"menu1_title" => array(
			"title" => "メニュー1",
			"type" => "text",
		),
		"menu1_link" => array(
			"title" => "リンク1",
			"type" => "text",
		),
		"dummy2-1-1" => array(
			"title" => " ",
			"type" => "comment",
		),
		"menu1_sub1_title" => array(
			"title" => "サブメニュー1-1",
			"type" => "text",
		),
		"menu1_sub1_link" => array(
			"title" => "サブリンク1-1",
			"type" => "text",
		),
		"menu1_sub2_title" => array(
			"title" => "サブメニュー1-2",
			"type" => "text",
		),
		"menu1_sub2_link" => array(
			"title" => "サブリンク1-2",
			"type" => "text",
		),
		"menu1_sub3_title" => array(
			"title" => "サブメニュー1-3",
			"type" => "text",
		),
		"menu1_sub3_link" => array(
			"title" => "サブリンク1-3",
			"type" => "text",
		),
		"menu1_sub4_title" => array(
			"title" => "サブメニュー1-4",
			"type" => "text",
		),
		"menu1_sub4_link" => array(
			"title" => "サブリンク1-4",
			"type" => "text",
		),
		"dummy2-2" => array(
			"title" => "メニュー２",
			"type" => "comment",
			"class" => "openclose",
		),
		"menu2_title" => array(
			"title" => "メニュー2",
			"type" => "text",
		),
		"menu2_link" => array(
			"title" => "リンク2",
			"type" => "text",
		),
		"dummy2-2-1" => array(
			"title" => " ",
			"type" => "comment",
		),
		"menu2_sub1_title" => array(
			"title" => "サブメニュー2-1",
			"type" => "text",
		),
		"menu2_sub1_link" => array(
			"title" => "サブリンク2-1",
			"type" => "text",
		),
		"menu2_sub2_title" => array(
			"title" => "サブメニュー2-2",
			"type" => "text",
		),
		"menu2_sub2_link" => array(
			"title" => "サブリンク2-2",
			"type" => "text",
		),
		"menu2_sub3_title" => array(
			"title" => "サブメニュー2-3",
			"type" => "text",
		),
		"menu2_sub3_link" => array(
			"title" => "サブリンク2-3",
			"type" => "text",
		),
		"menu2_sub4_title" => array(
			"title" => "サブメニュー2-4",
			"type" => "text",
		),
		"menu2_sub4_link" => array(
			"title" => "サブリンク2-4",
			"type" => "text",
		),
		"dummy2-3" => array(
			"title" => "メニュー３",
			"type" => "comment",
			"class" => "openclose",
		),
		"menu3_title" => array(
			"title" => "メニュー3",
			"type" => "text",
		),
		"menu3_link" => array(
			"title" => "リンク3",
			"type" => "text",
		),
		"dummy2-3-1" => array(
			"title" => " ",
			"type" => "comment",
		),
		"menu3_sub1_title" => array(
			"title" => "サブメニュー3-1",
			"type" => "text",
		),
		"menu3_sub1_link" => array(
			"title" => "サブリンク3-1",
			"type" => "text",
		),
		"menu3_sub2_title" => array(
			"title" => "サブメニュー3-2",
			"type" => "text",
		),
		"menu3_sub2_link" => array(
			"title" => "サブリンク3-2",
			"type" => "text",
		),
		"menu3_sub3_title" => array(
			"title" => "サブメニュー3-3",
			"type" => "text",
		),
		"menu3_sub3_link" => array(
			"title" => "サブリンク3-3",
			"type" => "text",
		),
		"menu3_sub4_title" => array(
			"title" => "サブメニュー3-4",
			"type" => "text",
		),
		"menu3_sub4_link" => array(
			"title" => "サブリンク3-4",
			"type" => "text",
		),
		"dummy2-4" => array(
			"title" => "メニュー４",
			"type" => "comment",
			"class" => "openclose",
		),
		"menu4_title" => array(
			"title" => "メニュー4",
			"type" => "text",
		),
		"menu4_link" => array(
			"title" => "リンク4",
			"type" => "text",
		),
		"dummy2-4-1" => array(
			"title" => " ",
			"type" => "comment",
		),
		"menu4_sub1_title" => array(
			"title" => "サブメニュー4-1",
			"type" => "text",
		),
		"menu4_sub1_link" => array(
			"title" => "サブリンク4-1",
			"type" => "text",
		),
		"menu4_sub2_title" => array(
			"title" => "サブメニュー4-2",
			"type" => "text",
		),
		"menu4_sub2_link" => array(
			"title" => "サブリンク4-2",
			"type" => "text",
		),
		"menu4_sub3_title" => array(
			"title" => "サブメニュー4-3",
			"type" => "text",
		),
		"menu4_sub3_link" => array(
			"title" => "サブリンク4-3",
			"type" => "text",
		),
		"menu4_sub4_title" => array(
			"title" => "サブメニュー4-4",
			"type" => "text",
		),
		"menu4_sub4_link" => array(
			"title" => "サブリンク4-4",
			"type" => "text",
		),
		"dummy4" => array(
			"title" => "フッター関連",
			"type" => "comment",
			"class" => "openclose",
		),
		"footer_title" => array(
			"title" => "タイトル",
			"type" => "text",
		),
		"footer_text" => array(
			"title" => "説明",
			"type" => "textarea",
		),
		"footer_map_text" => array(
			"title" => "地図説明",
			"type" => "textarea",
		),
		"footer_map_url" => array(
			"title" => "地図iframe",
			"type" => "text",
		),
		"dummy3-1" => array(
			"title" => "フッターメニューグループ1",
			"type" => "comment",
			"class" => "openclose",
		),
		"footer_menu1_title" => array(
			"title" => "グループ1タイトル",
			"type" => "text",
		),
		"footer_menu1_item1_title" => array(
			"title" => "メニュー1-1",
			"type" => "text",
		),
		"footer_menu1_item1_link" => array(
			"title" => "リンク1-1",
			"type" => "text",
		),
		"footer_menu1_item2_title" => array(
			"title" => "メニュー1-2",
			"type" => "text",
		),
		"footer_menu1_item2_link" => array(
			"title" => "リンク1-2",
			"type" => "text",
		),
		"footer_menu1_item3_title" => array(
			"title" => "メニュー1-3",
			"type" => "text",
		),
		"footer_menu1_item3_link" => array(
			"title" => "リンク1-3",
			"type" => "text",
		),
		"footer_menu1_item4_title" => array(
			"title" => "メニュー1-4",
			"type" => "text",
		),
		"footer_menu1_item4_link" => array(
			"title" => "リンク1-4",
			"type" => "text",
		),
		"dummy3-2" => array(
			"title" => "フッターメニューグループ2",
			"type" => "comment",
			"class" => "openclose",
		),
		"footer_menu2_title" => array(
			"title" => "グループ2タイトル",
			"type" => "text",
		),
		"footer_menu2_item1_title" => array(
			"title" => "メニュー2-1",
			"type" => "text",
		),
		"footer_menu2_item1_link" => array(
			"title" => "リンク2-1",
			"type" => "text",
		),
		"footer_menu2_item2_title" => array(
			"title" => "メニュー2-2",
			"type" => "text",
		),
		"footer_menu2_item2_link" => array(
			"title" => "リンク2-2",
			"type" => "text",
		),
		"footer_menu2_item3_title" => array(
			"title" => "メニュー2-3",
			"type" => "text",
		),
		"footer_menu2_item3_link" => array(
			"title" => "リンク2-3",
			"type" => "text",
		),
		"footer_menu2_item4_title" => array(
			"title" => "メニュー2-4",
			"type" => "text",
		),
		"footer_menu2_item4_link" => array(
			"title" => "リンク2-4",
			"type" => "text",
		),
		"dummy3-3" => array(
			"title" => "フッターメニューグループ3",
			"type" => "comment",
			"class" => "openclose",
		),
		"footer_menu3_title" => array(
			"title" => "グループ3タイトル",
			"type" => "text",
		),
		"footer_menu3_item1_title" => array(
			"title" => "メニュー3-1",
			"type" => "text",
		),
		"footer_menu3_item1_link" => array(
			"title" => "リンク3-1",
			"type" => "text",
		),
		"footer_menu3_item2_title" => array(
			"title" => "メニュー3-2",
			"type" => "text",
		),
		"footer_menu3_item2_link" => array(
			"title" => "リンク3-2",
			"type" => "text",
		),
		"footer_menu3_item3_title" => array(
			"title" => "メニュー3-3",
			"type" => "text",
		),
		"footer_menu3_item3_link" => array(
			"title" => "リンク3-3",
			"type" => "text",
		),
		"footer_menu3_item4_title" => array(
			"title" => "メニュー3-4",
			"type" => "text",
		),
		"footer_menu3_item4_link" => array(
			"title" => "リンク3-4",
			"type" => "text",
		),
		"dummy3-4" => array(
			"title" => "フッターメニューグループ4",
			"type" => "comment",
			"class" => "openclose",
		),
		"footer_menu4_title" => array(
			"title" => "グループ4タイトル",
			"type" => "text",
		),
		"footer_menu4_item1_title" => array(
			"title" => "メニュー4-1",
			"type" => "text",
		),
		"footer_menu4_item1_link" => array(
			"title" => "リンク4-1",
			"type" => "text",
		),
		"footer_menu4_item2_title" => array(
			"title" => "メニュー4-2",
			"type" => "text",
		),
		"footer_menu4_item2_link" => array(
			"title" => "リンク4-2",
			"type" => "text",
		),
		"footer_menu4_item3_title" => array(
			"title" => "メニュー4-3",
			"type" => "text",
		),
		"footer_menu4_item3_link" => array(
			"title" => "リンク4-3",
			"type" => "text",
		),
		"footer_menu4_item4_title" => array(
			"title" => "メニュー4-4",
			"type" => "text",
		),
		"footer_menu4_item4_link" => array(
			"title" => "リンク4-4",
			"type" => "text",
		),
		"dummy5" => array(
			"title" => "共通",
			"type" => "comment",
			"class" => "openclose",
		),
		"footer_title" => array(
			"title" => "フッター見出し",
			"type" => "text",
		),
		"footer_text" => array(
			"title" => "フッター説明",
			"type" => "textarea",
		),
		"footer_map_title" => array(
			"title" => "地図見出し",
			"type" => "text",
		),
		"footer_map_text" => array(
			"title" => "地図説明",
			"type" => "textarea",
		),
		"footer_map_url" => array(
			"title" => "地図URL",
			"type" => "text",
		),
		"copyright" => array(	
			"title" => "著作権表示",
			"type" => "text",
		),
		"head_tag" => array(
			"title" => "</head>前挿入",
			"type" => "textarea",
			"info" => "Google Analyticsのタグなどの挿入",
		),
		"body_tag" => array(
			"title" => "</body>前挿入",
			"type" => "textarea",
			"info" => "Google Analyticsのタグなどの挿入",
		),
		"dummy6" => array(
			"title" => "SNS",
			"type" => "comment",
			"class" => "openclose",
		),
		"sns1" => array(	
			"title" => "X(旧Twitter)",
			"type" => "text",
		),
		"sns2" => array(	
			"title" => "LINE",
			"type" => "text",
		),
		"sns3" => array(	
			"title" => "YouTube",
			"type" => "text",
		),
		"sns4" => array(	
			"title" => "INSTAGRAM",
			"type" => "text",
		),
		"sns5" => array(	
			"title" => "FaceBook",
			"type" => "text",
		),
		"sns6" => array(	
			"title" => "その他",
			"type" => "text",
		),
	),
	"func" => "func_common",
);

// 共通データの変換
function func_common($def, $info, $act="")
{
	// メニュー
	$menu = array();
	for ($i = 1; $i <= 10; $i++) {
		$title = $info["menu" . $i . "_title"];
		$link = $info["menu" . $i . "_link"];
		if ($title && $link) {
			unset($item);
			$item["title"] = $title;
			$item["link"] = $link;
			if (strpos($link, $act) != false) {		// 現在のページに対応するメニュー
				$item["current"] = $act;
			}
			// サブメニュー
			$sub = array();
			for ($j = 1; $j <= 10; $j++) {
				$subtitle = $info["menu" . $i . "_sub" . $j . "_title"];
				$sublink = $info["menu" . $i . "_sub" . $j . "_link"];
				if ($subtitle && $sublink) {
					$subitem["title"] = $subtitle;
					$subitem["link"] = $sublink;
					$sub[] = $subitem;
				}
			}
			if ($sub) {
				$item["submenu"] = $sub;
			}
			$menu[] = $item;
		}
	}
	$info["menu"] = $menu;
	// フッターメニュー
	$footer_menu = array();
	for ($i = 1; $i <= 10; $i++) {
		$group = array();
		$group_title = $info["footer_menu" . $i . "_title"];
		if ($group_title) {
			$group["title"] = $group_title;
			$menu = array();
			for ($j = 1; $j <= 10; $j++) {
				$title = $info["footer_menu" . $i . "_item" . $j . "_title"];
				$link = $info["footer_menu" . $i . "_item" . $j . "_link"];
				if ($title && $link) {
					$item["title"] = $title;
					$item["link"] = $link;
					$menu[] = $item;
				}
			}
			if ($menu) {
				$group["menu"] = $menu;
				$footer_menu[] = $group;
			}
		}
	}
	$info["footer"] = $footer_menu;
	// ロゴ
	if ($info["site_logo"]) {
		$f = Image::getData(intval($info["site_logo"]));
		if ($f) {
			$info["site_logo_file"] = "user_data/" . $f["save_name"];
		}
	}
	if ($info["site_logo2"]) {
		$f = Image::getData(intval($info["site_logo2"]));
		if ($f) {
			$info["site_logo2_file"] = "user_data/" . $f["save_name"];
		}
	}
	//
	$login = get_setup();
	$info["license"] = $login["license"];
	//
	return $info;
}
